// FM_Network.h: interface for the FM_Network class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FM_NETWORK_H__1DB982A2_046E_4D20_BD10_06813857FB19__INCLUDED_)
#define AFX_FM_NETWORK_H__1DB982A2_046E_4D20_BD10_06813857FB19__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "neuron.h"
class FM_Network  
{
private:
	int pocet1;
	int pocet2;
	neuron ** vrstva1;
	neuron ** vrstva2;
public:
	
	FM_Network(int poc1,int poc2,int imputsize,int outputsize,char *name);
	virtual ~FM_Network();
	void loadformfile(char *name);
	double getoutput(double *x);

};

#endif // !defined(AFX_FM_NETWORK_H__1DB982A2_046E_4D20_BD10_06813857FB19__INCLUDED_)
